Bug 1272565 - dnf-langpacks: change the spec according to python2/3 packaging guide
dnf-langpacks: change the spec according to python2/3 packaging guide
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf-langpacks (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-16 14:45 EDT by bodhi.zazen
Modified: 2016-07-19 14:14 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:14:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bodhi.zazen 2015-10-16 14:45:50 EDT
Description of problem: dnf system upgrade fails fedora 22-> 23


Version-Release number of selected component (if applicable):


How reproducible:

always


Steps to Reproduce:
1. run dnf system-upgrade download --releasever=23 --distro-sync --allowerasing


downloads packages -> runs transition check -> fails at transition check with error below

Actual results:

Error
Error: Transaction check error:
  file /etc/dnf/plugins/langpacks.conf conflicts between attempted installs of dnf-langpacks-conf-0.15.1-1.fc23.noarch and dnf-langpacks-0.12.0-2.fc22.noarch
  file /usr/share/man/man8/dnf.plugin.langpacks.8.gz conflicts between attempted installs of dnf-langpacks-conf-0.15.1-1.fc23.noarch and dnf-langpacks-0.12.0-2.fc22.noarch
  file /usr/lib/python2.7/site-packages/dnf-plugins/langpacks.py conflicts between attempted installs of python-dnf-langpacks-0.15.1-1.fc23.noarch and dnf-langpacks-0.12.0-2.fc22.noarch
  file /usr/lib/python2.7/site-packages/dnf-plugins/langpacks.pyc conflicts between attempted installs of python-dnf-langpacks-0.15.1-1.fc23.noarch and dnf-langpacks-0.12.0-2.fc22.noarch
  file /usr/lib/python2.7/site-packages/dnf-plugins/langpacks.pyo conflicts between attempted installs of python-dnf-langpacks-0.15.1-1.fc23.noarch and dnf-langpacks-0.12.0-2.fc22.noarch




Expected results: Fedora upgrades fedora 22 -> 23


Additional info:
Comment 1 Honza Silhan 2015-10-21 10:00:57 EDT
`rpm -q dnf libsolv python-dnf-langpacks` + attach transaction output and debugdata [1], please.

[1] https://github.com/rpm-software-management/dnf/wiki/Bug-Reporting
Comment 2 Parag Nemade 2015-10-21 12:29:47 EDT
I think I have checked the upgrade path. It should work fine.
Comment 3 bodhi.zazen 2015-10-21 14:51:30 EDT
All versions of all packages were up to date in Fedora 22 at the time of upgrade including libsolv and python-dnf-langpacks

I manually removed dnf-langpacks-0.12.0-2.fc22.noarch , re-ran the upgrade, and am now running Fedora 23 Beta, so no real way to post the requested information.

My guess would be a problem with dependencies of python-dnf-langpacks-0.15.1-1.fc23.noarch as that was the only package requiring manual upgrade.

If the problem has been resolved, feel free to close this bug report.
Comment 4 Parag Nemade 2015-10-22 02:44:16 EDT
Note all the Fedora 22+ releases already have dnf-langpacks-0.15.1 version in updates repo since more than a month.
Comment 5 Honza Silhan 2015-10-26 08:24:43 EDT
I think I know whats going on. We have changed the packaging according to new Fedora guidelines. The python2 plugin version should require `python2-dnf` (python-dnf for <=F22) and `python3-dnf` should be required by python3 version. Parag, can you fix it in langpack spec, please?
Comment 6 Parag Nemade 2015-10-26 09:12:58 EDT
Jan,
   I still think its some repository issue but I can do following changes.

For F22 python-dnf-langpacks, change Requires: dnf to Requires: python-dnf and for F23+ python-dnf-langpacks change Requires: dnf to Requires: python2-dnf

Else python3-dnf-langpacks on F22+ already Requires: python3-dnf
Comment 7 Fedora End Of Life 2016-07-19 14:14:52 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.